<script setup lang="ts">
import { VaTabs, VaTab, VaCard } from "vuestic-ui";
import { ref } from "vue";
import FormDocument from "./components/FormDocument.vue";
import FormPersonal from "./components/FormPersonal.vue";

const tabSelected = ref(0);
const tabs = ["Personal", "Document"];
</script>

<template>
  <main class="HomeView">
    <div class="tabs">
      <VaTabs v-model="tabSelected">
        <template #tabs>
          <VaTab v-for="tab in tabs" :key="tab"> {{ tab }} </VaTab>
        </template>
      </VaTabs>
      <VaCard class="tabContent">
        <FormDocument v-if="tabSelected" />
        <FormPersonal v-else />
      </VaCard>
    </div>
  </main>
</template>

<style lang="scss" scoped>
.HomeView {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

  .tabs {
    width: 50rem;
  }
  .tabContent {
    margin-top: 1rem;
    min-height: 20rem;
  }
}
</style>
